Package com.google.javascript.jscomp

# Enum CssRenamingMap.Style

java.lang.Object
java.lang.Enum<CssRenamingMap.Style>
com.google.javascript.jscomp.CssRenamingMap.Style

All Implemented Interfaces:
  `Serializable`, `Comparable<CssRenamingMap.Style>`, `java.lang.constant.Constable`

Enclosing interface:
  `CssRenamingMap`

public static enum CssRenamingMap.Style extends Enum<CssRenamingMap.Style>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BY_PART`
`BY_WHOLE`

## Method Summary

Modifier and Type
Method
Description
`static CssRenamingMap.Style`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CssRenamingMap.Style[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BY_WHOLE

public static final CssRenamingMap.Style BY_WHOLE

### BY_PART

public static final CssRenamingMap.Style BY_PART

## Method Details

### values

public static CssRenamingMap.Style[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CssRenamingMap.Style valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null